- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# MapKernel< Iterator, MapFunctor > Class Template Reference

Search for all occurrences

## Detailed Description

### template<typename Iterator, typename MapFunctor>
class QtConcurrent::MapKernel< Iterator, MapFunctor >

Definition at line 62 of file qtconcurrentmapkernel.h.

`#include <qtconcurrentmapkernel.h>`

Inheritance diagram for MapKernel< Iterator, MapFunctor >:
[legend]

List of all members.

## Public Types
typedef void | ReturnType
## Public Member Functions
| MapKernel (Iterator begin, Iterator end, MapFunctor _map)
bool | runIteration (Iterator it, int, void *)
bool | runIterations (Iterator sequenceBeginIterator, int beginIndex, int endIndex, void *)

## Member Typedef Documentation

typedef void ReturnType

Search for all occurrences

Definition at line 66 of file qtconcurrentmapkernel.h.

## Constructor & Destructor Documentation

MapKernel | ( | Iterator | begin,
|  | Iterator | end,
|  | MapFunctor | _map
| ) |  | `[inline]`

Definition at line 67 of file qtconcurrentmapkernel.h.

            : IterateKernel<Iterator, void>(begin, end), map(_map)
        { }

## Member Function Documentation

bool runIteration | ( | Iterator | it,
|  | int | ,
|  | void * |
| ) |  | `[inline, virtual]`

Search for all occurrences

Reimplemented from IterateKernel< Iterator, void >.

Definition at line 71 of file qtconcurrentmapkernel.h.

        {
            map(*it);
            return false;
        }

bool runIterations | ( | Iterator | sequenceBeginIterator,
|  | int | beginIndex,
|  | int | endIndex,
|  | void * |
| ) |  | `[inline, virtual]`

Search for all occurrences

Reimplemented from IterateKernel< Iterator, void >.

Definition at line 77 of file qtconcurrentmapkernel.h.

        {
            Iterator it = sequenceBeginIterator;
            advance(it, beginIndex);
            for (int i = beginIndex; i < endIndex; ++i) {
                runIteration(it, i, 0);
                advance(it, 1);
            }

            return false;
        }

The documentation for this class was generated from the following file:

- QtCore/qtconcurrentmapkernel.h